#pragma once

#include <balancer/kernel/io/iobase.h>
#include <balancer/kernel/memory/chunks.h>

namespace NSrvKernel {

    struct TBarnavigParseContext {
        TBarnavigParseContext(TString request) noexcept
            : Request_(std::move(request))
        {}

        TString Request_;
        TString Barnavig_;

        // in barnavig_parser.rl
        void Parse() noexcept;
    };
};
